<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>

    <IsPackable>false</IsPackable>
    <IsTestProject>true</IsTestProject>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="8.0.1" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.InMemory" Version="8.0.1" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Proxies" Version="8.0.1" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="8.0.1" />
    <PackageReference Include="Microsoft.NET.Test.Sdk" Version="17.8.0" />
    <PackageReference Include="Moq" Version="4.20.70" />
    <PackageReference Include="MSTest.TestAdapter" Version="3.1.1" />
    <PackageReference Include="MSTest.TestFramework" Version="3.1.1" />
    <PackageReference Include="coverlet.collector" Version="6.0.0">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\TIAM.Core\TIAM.Core.csproj" />
    <ProjectReference Include="..\TIAM.Database\TIAM.Database.csproj" />
    <ProjectReference Include="..\TIAM.Entities.Server\TIAM.Entities.Server.csproj" />
    <ProjectReference Include="..\TIAM.Entities\TIAM.Entities.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Reference Include="AyCode.Core">
      <HintPath>..\..\AyCode.Core\AyCode.Services.Server\bin\Debug\net8.0\AyCode.Core.dll</HintPath>
    </Reference>
    <Reference Include="AyCode.Core.Server">
      <HintPath>..\..\AyCode.Core\AyCode.Services.Server\bin\Debug\net8.0\AyCode.Core.Server.dll</HintPath>
    </Reference>
    <Reference Include="AyCode.Core.Tests">
      <HintPath>..\..\AyCode.Core\AyCode.Database.Tests\bin\Debug\net8.0\AyCode.Core.Tests.dll</HintPath>
    </Reference>
    <Reference Include="AyCode.Database">
      <HintPath>..\..\AyCode.Core\AyCode.Services.Server\bin\Debug\net8.0\AyCode.Database.dll</HintPath>
    </Reference>
    <Reference Include="AyCode.Database.Tests">
      <HintPath>..\..\AyCode.Core\AyCode.Database.Tests\bin\Debug\net8.0\AyCode.Database.Tests.dll</HintPath>
    </Reference>
    <Reference Include="AyCode.Entities">
      <HintPath>..\..\AyCode.Core\AyCode.Services.Server\bin\Debug\net8.0\AyCode.Entities.dll</HintPath>
    </Reference>
    <Reference Include="AyCode.Entities.Server">
      <HintPath>..\..\AyCode.Core\AyCode.Services.Server\bin\Debug\net8.0\AyCode.Entities.Server.dll</HintPath>
    </Reference>
    <Reference Include="AyCode.Interfaces">
      <HintPath>..\..\AyCode.Core\AyCode.Services.Server\bin\Debug\net8.0\AyCode.Interfaces.dll</HintPath>
    </Reference>
    <Reference Include="AyCode.Interfaces.Server">
      <HintPath>..\..\AyCode.Core\AyCode.Services.Server\bin\Debug\net8.0\AyCode.Interfaces.Server.dll</HintPath>
    </Reference>
    <Reference Include="AyCode.Models">
      <HintPath>..\..\AyCode.Core\AyCode.Services.Server\bin\Debug\net8.0\AyCode.Models.dll</HintPath>
    </Reference>
    <Reference Include="AyCode.Models.Server">
      <HintPath>..\..\AyCode.Core\AyCode.Services.Server\bin\Debug\net8.0\AyCode.Models.Server.dll</HintPath>
    </Reference>
    <Reference Include="AyCode.Services">
      <HintPath>..\..\AyCode.Core\AyCode.Services.Server\bin\Debug\net8.0\AyCode.Services.dll</HintPath>
    </Reference>
    <Reference Include="AyCode.Services.Server">
      <HintPath>..\..\AyCode.Core\AyCode.Services.Server\bin\Debug\net8.0\AyCode.Services.Server.dll</HintPath>
    </Reference>
    <Reference Include="AyCode.Utils">
      <HintPath>..\..\AyCode.Core\AyCode.Services.Server\bin\Debug\net8.0\AyCode.Utils.dll</HintPath>
    </Reference>
  </ItemGroup>

</Project>
